> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Key

> Retrieves a key information by its ID.



## OpenAPI

````yaml /openapi.yaml get /keys/{keyId}
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /keys/{keyId}:
    get:
      tags:
        - Keys
      summary: Get Key
      description: Retrieves a key information by its ID.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: The key to retrieve.
          required: true
          description: The key to retrieve.
          name: keyId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Key'
                  - type: object
                    properties:
                      wallets:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 64
                              pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                              description: The wallet id.
                              example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                            network:
                              type: string
                              description: The network of the wallet.
                              enum:
                                - Algorand
                                - AlgorandTestnet
                                - Aptos
                                - AptosTestnet
                                - ArbitrumOne
                                - ArbitrumSepolia
                                - ArcTestnet
                                - AvalancheC
                                - AvalancheCFuji
                                - BabylonGenesis
                                - BabylonTestnet5
                                - Base
                                - BaseSepolia
                                - Berachain
                                - BerachainBepolia
                                - Bitcoin
                                - BitcoinSignet
                                - BitcoinTestnet3
                                - BitcoinCash
                                - Bob
                                - BobSepolia
                                - Bsc
                                - BscTestnet
                                - Canton
                                - CantonTestnet
                                - Cardano
                                - CardanoPreprod
                                - Concordium
                                - ConcordiumTestnet
                                - Celo
                                - CeloAlfajores
                                - Codex
                                - CodexSepolia
                                - CosmosHub4
                                - CosmosIcsTestnet
                                - Dogecoin
                                - DogecoinTestnet
                                - Ethereum
                                - EthereumClassic
                                - EthereumClassicMordor
                                - EthereumSepolia
                                - EthereumHolesky
                                - EthereumHoodi
                                - FantomOpera
                                - FantomTestnet
                                - FlareC
                                - FlareCCoston2
                                - FlowEvm
                                - FlowEvmTestnet
                                - Hedera
                                - HederaTestnet
                                - Ink
                                - InkSepolia
                                - InternetComputer
                                - Ion
                                - IonTestnet
                                - Iota
                                - IotaTestnet
                                - Kaspa
                                - Kusama
                                - KusamaAssetHub
                                - Litecoin
                                - LitecoinTestnet
                                - Near
                                - NearTestnet
                                - Optimism
                                - OptimismSepolia
                                - Origyn
                                - Plasma
                                - PlasmaTestnet
                                - Plume
                                - PlumeSepolia
                                - Paseo
                                - PaseoAssetHub
                                - Polkadot
                                - PolkadotAssetHub
                                - Polygon
                                - PolygonAmoy
                                - Polymesh
                                - PolymeshTestnet
                                - Race
                                - RaceSepolia
                                - SeiAtlantic2
                                - SeiPacific1
                                - Solana
                                - SolanaDevnet
                                - Starknet
                                - StarknetSepolia
                                - Stellar
                                - StellarTestnet
                                - Sui
                                - SuiTestnet
                                - Tezos
                                - TezosGhostnet
                                - Tempo
                                - TempoModerato
                                - Tsc
                                - TscTestnet1
                                - Ton
                                - TonTestnet
                                - Tron
                                - TronNile
                                - Westend
                                - WestendAssetHub
                                - Xdc
                                - XdcApothem
                                - XLayer
                                - XLayerSepolia
                                - XrpLedger
                                - XrpLedgerTestnet
                          required:
                            - id
                            - network
                        description: Wallets associated with this key.
                      store:
                        type: object
                        properties:
                          id:
                            type: string
                            description: The key store id.
                          kind:
                            type: string
                            enum:
                              - Hsm
                              - Mpc
                              - OfflineSigner
                            description: The type of key store.
                          keyId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: The key id within the store.
                            example: key-01snl-t56gb-j8tsok0vn802p80i
                          derivationPath:
                            type: string
                            description: The HD derivation path if applicable.
                        required:
                          - id
                          - kind
                          - keyId
                        description: Key store details.
                    required:
                      - wallets
                      - store
      security:
        - authenticationToken: []
components:
  schemas:
    Key:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Unique identifier for the key.
          example: key-01snl-t56gb-j8tsok0vn802p80i
        scheme:
          $ref: '#/components/schemas/KeyScheme'
        curve:
          $ref: '#/components/schemas/KeyCurve'
        publicKey:
          type: string
          description: Hex-encoded public key.
        masterKey:
          type: boolean
          description: Whether this key can be used as a master key for HD derivation.
        derivedFrom:
          type: object
          properties:
            keyId:
              type: string
              minLength: 1
              maxLength: 64
              pattern: ^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
              description: The master key this key was derived from.
              example: key-01snl-t56gb-j8tsok0vn802p80i
            path:
              type: string
              description: The derivation path used.
          required:
            - keyId
            - path
          description: Derivation info if this key was derived from a master key.
        name:
          type: string
          description: Nickname for the key.
        status:
          type: string
          enum:
            - Active
            - Archived
          description: Current status of the key.
        custodial:
          type: boolean
          description: >-
            Whether the key is custodial (owned by organization) or
            non-custodial (delegated to end user).
        dateCreated:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). When the key was created.
          example: '2023-04-14T20:41:28.715Z'
        imported:
          type: boolean
          description: Whether this key was imported.
        exported:
          type: boolean
          description: Whether this key has been exported.
        dateExported:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). When the key was exported.
          example: '2023-04-14T20:41:28.715Z'
        dateDeleted:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). When the key was deleted.
          example: '2023-04-14T20:41:28.715Z'
      required:
        - id
        - scheme
        - curve
        - publicKey
        - status
        - custodial
        - dateCreated
    KeyScheme:
      type: string
      description: The cryptographic scheme for the key.
      enum:
        - ECDSA
        - EdDSA
        - Schnorr
    KeyCurve:
      type: string
      enum:
        - ed25519
        - secp256k1
        - stark
      description: The elliptic curve for the key.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````